"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateTypes = void 0;
var StateTypes;
(function (StateTypes) {
    // Lambda Execution
    StateTypes["Task"] = "Task";
    // Should pass input directly to output without doing work
    StateTypes["Pass"] = "Pass";
    /**
     * Waits before moving on:
     * - Seconds, SecondsPath: wait the given number of seconds
     * - Timestamp, TimestampPath: wait until the given timestamp
     */
    StateTypes["Wait"] = "Wait";
    // Ends the state machine execution with 'success' status
    StateTypes["Succeed"] = "Succeed";
    // Ends the state machine execution with 'fail' status
    StateTypes["Fail"] = "Fail";
    // Adds branching logic to the state machine
    StateTypes["Choice"] = "Choice";
    StateTypes["Parallel"] = "Parallel";
})(StateTypes = exports.StateTypes || (exports.StateTypes = {}));
