import type { StateExecutorOutput } from '../../types/StateExecutorOutput';
import type { PassStateDefinition } from '../../types/State';
import { StateTypeExecutor } from '../StateTypeExecutor';
export declare class PassExecutor implements StateTypeExecutor {
    private readonly logger;
    constructor();
    execute(_stateMachineName: string, stateName: string, definition: PassStateDefinition, json: string | undefined): Promise<StateExecutorOutput>;
    private processInput;
    private processOutput;
}
